
Name:           python-mglob
Version:        0.4
Release:        %mkrel 1
Summary:        Enhanced file name globbing module

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/mglob
Source0:        http://pypi.python.org/packages/source/m/mglob/mglob-%{version}.zip
Patch0:         mglob-0.4-built-in-set.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%package -n python3-mglob
Group:          Development/Python
Summary:        Enhanced file name globbing module

%description -n python3-mglob
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%prep
%setup -q -n mglob-%{version}
%patch0
sed -i -e '/^#!\//, 1d' mglob.py

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%{_bindir}/2to3 --write --nobackups %{py3dir}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'


%build
pushd %{py3dir}
    %{__python3} setup.py build
popd

%{__python} setup.py build


%install
rm -rf %buildroot
pushd %{py3dir}
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
    mv %{buildroot}%{_bindir}/mglob %{buildroot}%{_bindir}/python3-mglob
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{_bindir}/mglob
%{python_sitelib}/mglob.py*
%{python_sitelib}/mglob-%{version}-py?.?.egg-info

%files -n python3-mglob
%{_bindir}/python3-mglob
%{python3_sitelib}/mglob.py*
%{python3_sitelib}/mglob-%{version}-py?.?.egg-info



%changelog
* Sun Mar 20 2016 bb <bb> 0.4-1pclos2016
- import for ipython
